Mail archive
alpine-devel

Re: [alpine-devel] new aport apcupsd

From: Natanael Copa <natanael.copa_at_gmail.com>
Date: Wed, 21 Jan 2009 14:09:21 +0100

On Wed, 2009-01-21 at 11:53 +0100, Leonardo Arena wrote:
> Please review attached patch
>
> Leo

Thanks!

...

>
>
>
>
> +depends="uclibc util-linux-ng"
> +makedepends="g++"
> +source="http://surfnet.dl.sourceforge.net/sourceforge/apcupsd/apcupsd-3.14.5.tar.gz"

please use download.sourceforge.net rather than a specific sf mirror.
Also, if you use $pkgver in the source url, then you only need to change
the version number in pkgver when upgrading the package.

source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"

> +
> +build() {
> + cd "$srcdir/$pkgname-$pkgver"
> +
> + ./configure --prefix=/usr \
> + --mandir=/usr/share/man
> + --enable-usb
> + make || return 1
> + make DESTDIR=$pkgdir install
> +}
> +
> +md5sums="4ac73ec91d8ab56f3fac894e172567c4 apcupsd-3.14.5.tar.gz"
> --
> 1.6.1
>

Otherwise looks good. It needs an init.d script i suppose and we need to
check up if we can use busybox halt rather than depend on util-linux-ng
shutdown.

Hm... it looks like it needs 'wall'. Maybe just keep that util-linux-ng
there.

I alos copied the init.d script from gentoo.

-nc



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Wed Jan 21 2009 - 14:09:21 UTC